import type { _NSWindow } from "./NSWindow.js";
export declare class _NSPanel extends _NSWindow {
    static alloc(): _NSPanel;
    static new(): _NSPanel;
    init(): _NSPanel;
    floatingPanel(): boolean;
    setFloatingPanel$(value: boolean): void;
    becomesKeyOnlyIfNeeded(): boolean;
    setBecomesKeyOnlyIfNeeded$(value: boolean): void;
    worksWhenModal(): boolean;
    setWorksWhenModal$(value: boolean): void;
}
